<template>
  <div class="ml-10 mr-10 mb-5">
    <button
      class="bg-gray-800 hover:border-purple-500 hover:text-purple-500 text-white font-bold py-3 px-4 rounded-full inline-flex items-center"
      @click="emitFilter('all')"
    >
      <svg
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 20 20"
        fill="currentColor"
        class="h-6 w-6 mr-2"
      >
        <path
          stroke-linecap="round"
          stroke-linejoin="round"
          stroke-width="2"
          d="M4 4v5h.582m15.356 2A8.001 8.001 0 004.582 9m0 0H9m11 11v-5h-.581m0 0a8.003 8.003 0 01-15.357-2m15.357 2H15"
        />
      </svg>
      <span>Tout</span>
    </button>
    <button
      class="bg-gray-800 hover:border-purple-500 hover:text-purple-500 text-white font-bold py-3 px-4 rounded-full inline-flex items-center"
      @click="emitFilter('moon')"
    >
      <svg
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 20 20"
        fill="currentColor"
        class="h-6 w-6 mr-2"
      >
        <path
          d="M17.293 13.293A8 8 0 016.707 2.707a8.001 8.001 0 1010.586 10.586z"
        />
      </svg>
      <span>Lune</span>
    </button>
    <button
      class="bg-gray-800 hover:border-purple-500 hover:text-purple-500 text-white font-bold py-3 px-4 rounded-full inline-flex items-center"
      @click="emitFilter('planet')"
    >
      <svg
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 22 22"
        fill="currentColor"
        class="h-6 w-6 mr-2"
      >
        <path
          stroke-linecap="round"
          stroke-linejoin="round"
          stroke-width="2"
          d="M3.055 11H5a2 2 0 012 2v1a2 2 0 002 2 2 2 0 012 2v2.945M8 3.935V5.5A2.5 2.5 0 0010.5 8h.5a2 2 0 012 2 2 2 0 104 0 2 2 0 012-2h1.064M15 20.488V18a2 2 0 012-2h3.064M21 12a9 9 0 11-18 0 9 9 0 0118 0z"
        />
      </svg>
      <span>Planète</span>
    </button>
  </div>
</template>

<script>
export default {
  name: "filterStar",
  methods: {
    // Envoi le type de filtre au component au dessus
    emitFilter: function (filter) {
      this.$emit("filter", filter);
    },
  },
};
</script>